> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 指定した Parameter に一致する完了したトランザクションを返します



## OpenAPI

````yaml /ja/openapi.json get /api/publicapi/v1/transactions/completed
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/completed:
    get:
      tags:
        - Transactions
      summary: 指定した Parameter に一致する完了したトランザクションを返します
      operationId: GetCompletedTransactions
      parameters:
        - description: アクティブなトランザクションの状態
          in: query
          name: TransactionStatus
          schema:
            description: アクティブなトランザクションの状態
            type: string
        - description: >-
            権限に応じて利用可能な Skill の ID。この field を空にすると、利用可能なすべての Skill
            がフィルターとして使用されます。
          in: query
          name: SkillId
          schema:
            description: |-
              権限に基づき利用可能な Skill の ID。
              この field を空にした場合は、利用可能なすべての Skill がフィルターとして使用されます。
            type: string
        - description: バージョンでフィルタリングできるのは、利用可能な Skill のみです
          in: query
          name: SkillVersion
          schema:
            description: バージョンでフィルタリングできるのは、利用可能な Skill のみです。
            type: string
        - description: |-
            トランザクションの最小作成日時。
            時刻は UTC 形式で指定する必要があります。
          in: query
          name: StartDate
          schema:
            description: |-
              トランザクションの最小作成日時。
              日時は UTC 形式で指定する必要があります。
            format: date-time
            type: string
        - description: |-
            トランザクションの作成時刻の最大値です。
            時刻は UTC 形式で指定する必要があります。
            指定されていない場合は、現在の UTC 時刻が使用されます。
          in: query
          name: EndDate
          schema:
            description: |-
              トランザクションの作成時刻の最大値。
              時刻は UTC 形式で指定する必要があります。
              指定されていない場合、現在の UTC 時刻が使用されます。
            type: string
        - description: |-
            トランザクションの Parameter 一覧。
            取得されたトランザクションには、すべての Parameter が含まれている必要があります。
          in: query
          name: TransactionParameters
          schema:
            description: |-
              トランザクションのParameter一覧。
              取得されたトランザクションには、すべてのParameterが含まれている必要があります
            items:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.Parameter
            type: array
        - description: |-
            Document の Parameter 一覧。
            取得されたトランザクションには、すべての Parameter が含まれている必要があります。
          in: query
          name: DocumentParameters
          schema:
            description: |-
              ドキュメント Parameter の一覧。
              取得したトランザクションには、すべての Parameter が含まれている必要があります
            items:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.Parameter
            type: array
        - description: 'ページネーションオフセット（既定値: 0）'
          in: query
          name: Offset
          schema:
            description: 'ページングオフセット（デフォルト値: 0）'
            format: int32
            type: integer
        - description: ページネーション制限
          in: query
          name: Limit
          schema:
            description: ページネーション上限
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Web.Features.Transactions.Models.CompletedTransactionPartialResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Web.Features.Transactions.Models.CompletedTransactionPartialResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Web.Features.Transactions.Models.CompletedTransactionPartialResult
          description: トランザクションおよびその文書の登録パラメーターを含むトランザクション
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: EndDate は開始日より後でなければなりません
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.Parameter:
      additionalProperties: false
      properties:
        key:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Web.Features.Transactions.Models.CompletedTransactionPartialResult:
      additionalProperties: false
      description: Swagger でのみ使用されます。
      properties:
        items:
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.Reporting.Contracts.Models.CompletedTransaction
          nullable: true
          type: array
        totalItemCount:
          format: int32
          type: integer
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.Reporting.Contracts.Models.CompletedTransaction:
      additionalProperties: false
      description: 完了済みトランザクション
      properties:
        createTimeUtc:
          description: 作成日時
          format: date-time
          type: string
        documentCount:
          description: トランザクションの初期文書数
          format: int32
          type: integer
        fileParameters:
          description: トランザクション内のファイル登録用のParameter
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.Reporting.Contracts.Models.Parameter
          nullable: true
          type: array
        pageCount:
          description: トランザクション内のページ数
          format: int32
          type: integer
        skillId:
          description: トランザクションの Skill ID
          nullable: true
          type: string
        skillVersion:
          description: トランザクションの Skill バージョン
          format: int32
          type: integer
        status:
          description: 完了済みトランザクションのステータス
          nullable: true
          type: string
        transactionId:
          description: トランザクション ID
          format: uuid
          type: string
        transactionParameters:
          description: トランザクションの登録に関するParameter
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.Reporting.Contracts.Models.Parameter
          nullable: true
          type: array
      type: object
    Abbyy.Vantage.Reporting.Contracts.Models.Parameter:
      additionalProperties: false
      properties:
        isReadOnly:
          type: boolean
        key:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````